Bug 15975 - Add Home Library Column to Checkouts
Summary: Add Home Library Column to Checkouts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL: http://devs.bywatersolutions.com/proj...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-03 20:07 UTC by Nicole C. Engard
Modified: 2016-12-05 21:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15975 - Add Owning Library Column to Checkouts (4.04 KB, patch)
2016-07-14 14:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15975 - Add Owning Library Column to Checkouts (4.04 KB, patch)
2016-07-21 02:35 UTC, Nick Clemens
Details | Diff | Splinter Review
Datatable error with patch applied (97.58 KB, image/png)
2016-07-21 04:59 UTC, Marc Véron
Details
Bug 15975 - Add Owning Library Column to Checkouts (4.12 KB, patch)
2016-07-21 14:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15975 - Add Owning Library Column to Checkouts (4.16 KB, patch)
2016-07-21 15:08 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15975 (QA Followup) Fix colspan for footer (1.09 KB, patch)
2016-09-15 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 15975 - Add Owning Library Column to Checkouts (4.23 KB, patch)
2016-09-18 15:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 15975 (QA Followup) Fix colspan for footer (1.16 KB, patch)
2016-09-18 15:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-03-03 20:07:45 UTC
Work to do:

    Include owning library column on the list of checkouts for patrons.
    Pages needing enhancement:
        cgi-bin/koha/circ/circulation.pl
        cgi-bin/koha/members/moremember.pl



Seeking Co Sponsors : http://devs.bywatersolutions.com/projects/add-owning-library-column-checkouts/
Comment 1 Nick Clemens 2016-07-14 14:51:42 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2016-07-14 21:55:04 UTC
Hi Nick, I think this should be 'home library' to fit with our usual terminology, what do you think? It's what we use on the detail page for example.
Comment 3 Owen Leonard 2016-07-18 12:25:49 UTC
(In reply to Katrin Fischer from comment #2)
> Hi Nick, I think this should be 'home library' to fit with our usual
> terminology

Agreed.
Comment 4 Nick Clemens 2016-07-21 02:35:53 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-07-21 04:59:24 UTC
Created attachment 53551 [details]
Datatable error with patch applied

With patch applied, I get a datatable warning whilt checking out: "Requested unknown parameter 'homebranch' for row 0, column 7". See screenshot.
Without patch, error does not appear.
Comment 6 Marc Véron 2016-07-21 14:01:43 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2016-07-21 14:03:05 UTC
Re-tested with browser cache cleared...
Sorry for the noise :-)
Comment 8 Katrin Fischer 2016-07-21 14:06:44 UTC
Tiny request: please adapt commit message to new column name! I am changing the bug title too as this is used for the release notes!
Comment 9 Marc Véron 2016-07-21 15:08:02 UTC
Created attachment 53580 [details] [review]
Bug 15975 - Add Owning Library Column to Checkouts

To test:
1 - Checkout some items to a patron
2 - Note there is no 'Home library' column
3 - Apply patch
4 - Note there IS an 'Home library' column
5 - Use the columns configuration and ensure you can hide/display column at
will

Sponsored by: Coeur d'Alene Public Library (http://www.cdalibrary.org/)

Works as expected (after clearing browser cache).
Commit message amended (as of comment #7)
Signed-off-by: Marc <veron@veron.ch>
Comment 10 Jonathan Druart 2016-07-21 17:57:02 UTC
Nick, can you check the additional time added by this new join on a relatively big table (100 checkouts displayed)?
Comment 11 Katrin Fischer 2016-07-26 20:31:22 UTC
With this patch there is a small display error in the table of checkouts: the new column leaves a gap at the end of the last grey line holding the totals and renewal due date.
This happens on the checkouts and the details tab.
Comment 12 Nick Clemens 2016-09-12 20:09:55 UTC
(In reply to Jonathan Druart from comment #10)
> Nick, can you check the additional time added by this new join on a
> relatively big table (100 checkouts displayed)?

I don't see a real difference at 105 checkouts
BEFORE	
Table in ms (Page in Seconds)
1123	(2.01)
1136	(3.23)
1213	(3.09)
1231	(3.17)
1137	(3.92)
1128	(3.04)
1177	(3.04)
1969	(4.87)
1146	(3.12)
1126	(3.33)
AFTER	
Table in ms (Page in Seconds)
1088	(3.29)
1105	(3.02)
1127	(2.93)
1154	(3.14)
1158	(3.29)
1189	(3.32)
1121	(3.09)
1210	(3.11)
1224	(3.66)
1214	(3.67)
Comment 13 Nick Clemens 2016-09-12 20:11:03 UTC
(In reply to Katrin Fischer from comment #11)
> With this patch there is a small display error in the table of checkouts:
> the new column leaves a gap at the end of the last grey line holding the
> totals and renewal due date.
> This happens on the checkouts and the details tab.

Can you give me a screen shot? I can't recreate this one - once I restart plack and clear cache it looks okay on my end
Comment 14 Nick Clemens 2016-09-15 13:21:46 UTC
Created attachment 55583 [details] [review]
Bug 15975 (QA Followup) Fix colspan for footer
Comment 15 Katrin Fischer 2016-09-18 15:02:43 UTC
Created attachment 55655 [details] [review]
[PASSED QA] Bug 15975 - Add Owning Library Column to Checkouts

To test:
1 - Checkout some items to a patron
2 - Note there is no 'Home library' column
3 - Apply patch
4 - Note there IS an 'Home library' column
5 - Use the columns configuration and ensure you can hide/display column at
will

Sponsored by: Coeur d'Alene Public Library (http://www.cdalibrary.org/)

Works as expected (after clearing browser cache).
Commit message amended (as of comment #7)
Signed-off-by: Marc <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 16 Katrin Fischer 2016-09-18 15:15:05 UTC
Created attachment 55656 [details] [review]
[PASSED QA] Bug 15975 (QA Followup) Fix colspan for footer

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 17 Kyle M Hall 2016-09-27 13:05:03 UTC
Pushed to master for 16.11, thanks Nick!